<div class="rdn-filterable-content__header">
  <ng-container #headerFilterChipsPlaceholder></ng-container>

  <button
    class="open-filter-stack__button"
    *ngIf="isMobileView$ | async"
    (click)="toggleFilterStack()"
    mat-icon-button>
    <mat-icon>filter_alt</mat-icon>
  </button>

  <rdn-sorting-dropdown
    *ngIf="sorting$"
    [sortingOptions]="sorting$ | async"
    (sorted)="sorted.emit($event)"
    class="filterable-content-sorting">
  </rdn-sorting-dropdown>
</div>
<div class="rdn-filtered-content">
  <ng-content></ng-content>
</div>
<aside
  [rdnLoader]="isFiltersLoading"
  class="rdn-filter-stack"
  [class.opened]="!isFilterStackHidden">
  <ng-container #asideFilterChipsPlaceholder></ng-container>
  <mat-accordion [multi]="true">
    <mat-expansion-panel
      *ngFor="let filter of filters$ | async; trackBy: trackByFilters"
      [expanded]="true">
      <mat-expansion-panel-header>
        <mat-panel-title> {{ filter.label }} </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-template
        *rdnInsertComponent="
          filter.type | getFilterComponent;
          data: filter.inputs || {};
          sharedData: filter
        "></ng-template>
    </mat-expansion-panel>
  </mat-accordion>
</aside>

<div
  *ngIf="!isFilterStackHidden && isMobileView$ | async"
  (click)="toggleFilterStack()"
  class="overlay"></div>

<ng-template #chips>
  <ng-container *ngIf="selectedFilterChips$ | async as chips">
    <rdn-selected-filter-chips
      *ngIf="chips.length"
      [chips]="chips"
      (filterDiscarded)="discardFilter($event)"
      (filtersReset)="reset()"
      class="filter-chips">
    </rdn-selected-filter-chips>
  </ng-container>
</ng-template>
